<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseRequest StructType
 * @subpackage Structs
 */
class JP_CruiseRequest extends AbstractStructBase
{
    /**
     * The CruiseSearch
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseSearch
     */
    public $CruiseSearch;
    /**
     * The SearchSegmentsCruise
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsCruise
     */
    public $SearchSegmentsCruise;
    /**
     * The RelPaxesDist
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPaxDist
     */
    public $RelPaxesDist;
    /**
     * Constructor method for JP_CruiseRequest
     * @uses JP_CruiseRequest::setCruiseSearch()
     * @uses JP_CruiseRequest::setSearchSegmentsCruise()
     * @uses JP_CruiseRequest::setRelPaxesDist()
     * @param \StructType\JP_CruiseSearch $cruiseSearch
     * @param \StructType\JP_SearchSegmentsCruise $searchSegmentsCruise
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     */
    public function __construct(\StructType\JP_CruiseSearch $cruiseSearch = null, \StructType\JP_SearchSegmentsCruise $searchSegmentsCruise = null, \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this
            ->setCruiseSearch($cruiseSearch)
            ->setSearchSegmentsCruise($searchSegmentsCruise)
            ->setRelPaxesDist($relPaxesDist);
    }
    /**
     * Get CruiseSearch value
     * @return \StructType\JP_CruiseSearch|null
     */
    public function getCruiseSearch()
    {
        return $this->CruiseSearch;
    }
    /**
     * Set CruiseSearch value
     * @param \StructType\JP_CruiseSearch $cruiseSearch
     * @return \StructType\JP_CruiseRequest
     */
    public function setCruiseSearch(\StructType\JP_CruiseSearch $cruiseSearch = null)
    {
        $this->CruiseSearch = $cruiseSearch;
        return $this;
    }
    /**
     * Get SearchSegmentsCruise value
     * @return \StructType\JP_SearchSegmentsCruise|null
     */
    public function getSearchSegmentsCruise()
    {
        return $this->SearchSegmentsCruise;
    }
    /**
     * Set SearchSegmentsCruise value
     * @param \StructType\JP_SearchSegmentsCruise $searchSegmentsCruise
     * @return \StructType\JP_CruiseRequest
     */
    public function setSearchSegmentsCruise(\StructType\JP_SearchSegmentsCruise $searchSegmentsCruise = null)
    {
        $this->SearchSegmentsCruise = $searchSegmentsCruise;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_RelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     * @return \StructType\JP_CruiseRequest
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
